# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define major     12
%define libname   libyui%{major}
%define develname libyui-devel

Name:           libyui
Version:        3.10.0
Release:        alt1_3
Summary:        YaST2 User Interface Engine
Group:          System/Libraries
License:        LGPLv2+
URL:            https://github.com/libyui/libyui
Source0:        https://github.com/libyui/libyui/archive/v%{version}/%{name}-%{version}.tar.bz2
# Based on https://github.com/libyui/libyui/commit/b1f593cd99fd33cc3f0cf9b4f5151f672b68d96e
Patch0:         00_libyui_YTable_bindings.patch

BuildRequires:  ccmake cmake ctest
BuildRequires:  doxygen
BuildRequires:  texlive
BuildRequires:  texlive-texmf
BuildRequires:  gambit
BuildRequires:  boost-complete
BuildRequires:  libtool
Source44: import.info

%description
libYUI is a library written entirely in C++ to provide an abstraction layer
for Qt, GTK and ncurses UI frameworks. This means that a single code in YUI
can be used to produce outputs using any of the 3 UI frameworks listed above.
This library was (and still is) used to create the YaST2 User Interface. 

#----------------------------------------------------------

%package -n %libname
Summary:      YaST2 User Interface Engine
Group:        System/Libraries
Provides:     %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui.

%files -n %libname
%doc COPYING* README.md
%dir %{_libdir}/yui
%dir %{_datadir}/libyui
%{_libdir}/lib*.so.%{major}*

#----------------------------------------------------------

%package -n %develname
Summary:      libYUI, YaST2 User Interface Engine - header files
Group:        Development/C++
Requires:     %{libname} >= %{version}
Requires:     boost-complete
Provides:     %{name}-devel = %{version}-%{release}
Provides:     yui-devel = %{version}-%{release}

%description -n %develname
This is the development package for libyui user interface engine
that provides the abstraction from graphical user interfaces (Qt, Gtk)
and text based user interfaces (ncurses).

%files -n %develname
%dir %{_docdir}/libyui%{major}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/yui
%{_libdir}/cmake/libyui
%{_datadir}/libyui/buildtools
%doc %{_docdir}/libyui%{major}/examples
%doc %{_docdir}/libyui%{major}/html
%doc %{_docdir}/libyui%{major}/refman.pdf

#----------------------------------------------------------

%prep
%setup -q
%patch0 -p1


%build
./bootstrap.sh

%{mageia_cmake} \
    -DYPREFIX=%{_prefix} \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_DEBUG=1     \
    -DINSTALL_DOCS=yes

%mageia_cmake_build
pushd build
make docs
popd

%install
%mageia_cmake_install

install -m0755 -d %{buildroot}%{_libdir}/yui

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Jan 13 2021 Igor Vlasenko <viy@altlinux.ru> 3.10.0-alt1_3
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 3.10.0-alt1_2
- update by mgaimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 3.10.0-alt1_1
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 3.9.3-alt1_2
- update by mgaimport

* Sat Apr 11 2020 Igor Vlasenko <viy@altlinux.ru> 3.9.3-alt1_1
- update by mgaimport

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 3.4.2-alt1_1
- update by mgaimport

* Tue Oct 30 2018 Igor Vlasenko <viy@altlinux.ru> 3.3.3-alt1_3
- update by mgaimport

* Mon Apr 02 2018 Igor Vlasenko <viy@altlinux.ru> 3.3.3-alt1_1
- new version

* Wed Aug 07 2013 Andrey Kolotov <qwest@altlinux.ru> 3.0.10-alt1
- new upstream version
- added patch for build libyui-qt
- fix documentation bug in spec
- added package libyui-doc
- package devel without documentation

* Fri Jul 26 2013 Andrey Kolotov <qwest@altlinux.ru> 3.0.9-alt1
- package devel with documentation
- release for AltLinux
